// myVelocity.h

#include "myJJ7.h"
  
void velocityJJ7(float wd, float v){
  float vR, vL;
  vR=v+wd; vL=v-wd;
  if(vR>0.0){
    if(vL>0.0){
      motor(vL, vR, HIGH, HIGH);
    }else{
      motor(-vL, vR, LOW, HIGH);
    }
  }else{
    if(vL>0.0){
      motor(vL, -vR, HIGH, LOW);
    }else{
      motor(-vL, -vR, LOW, LOW);
    }
  }  
}

void motion03(){ 
  float t, tmax, h, wd, v, A=350.0;
  int tau=100, N=50;

  t=M_PI/8.0; tmax=M_PI; h=M_PI/N;
  while (t<tmax){
    v=A*cos(t); wd=A*0.2*sin(t); 
    velocityJJ7(wd, v);
    delay(tau);
    t+=h;
  }
  v=0.0; wd=0.0; velocityJJ7(wd, v); // stop
  delay(1000);  
}

void motion04(){
  float t, tmin, h, wd, v, A=350.0;
  int tau=100, N=50;

  t=M_PI*7.0/8.0; tmin=M_PI/8.0; h=M_PI/N;
  while (t>tmin){
    v=A*cos(t); wd=A*0.2*sin(t); 
    velocityJJ7(wd, v);
    delay(tau);
    t-=h;
  }
  v=0.0; wd=0.0; velocityJJ7(wd, v); // stop
  delay(1000);  
}
