// myVelocity.h

#include "myJJ7.h"
  
void velocityJJ7(float wd, float v){
  float vR, vL;
  vR=v+wd; vL=v-wd;
  if(vR>0.0){
    if(vL>0.0){
      motor(vL, vR, HIGH, HIGH);
    }else{
      motor(-vL, vR, LOW, HIGH);
    }
  }else{
    if(vL>0.0){
      motor(vL, -vR, HIGH, LOW);
    }else{
      motor(-vL, -vR, LOW, LOW);
    }
  }  
}

void testMotion(){
  float t, tmax, h, wd, v, A=300.0, nu=1.0;
  int tau=50, N=100;

  t=-M_PI/2.0; tmax=M_PI*3.0/2.0; h=M_PI/N;
  while (t<tmax){
//  while (1){
    v=A*cos(nu*t); wd=A*0.6*sin(nu*t); 
    velocityJJ7(wd, v);
    delay(tau);
    t+=h;
  }
  v=0.0; wd=0.0; velocityJJ7(wd, v); // stop
  delay(1000);  
}

